@charset "UTF-8";

* {
    margin: 0px;
    padding: 0px;
}
/* img すべての画像に対し比率守る設定 */
img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.logo {
    width: 7em;
}
/* 以下のa{}はHome所についての指定 */
a {
    display: block;
    text-decoration: none;
    color: black;
}
#wrap {
    width: 100%;
    /* width: 100%;サイト画面のサイズに合わせ100％見れる */
    /* width: 500px; */
}

/* header */
header {
    display: flex;
    /* justify-content: space-between;これなかったら横真ん中になる */
    justify-content: space-between;
    /* align-items: center; 真ん中に揃える*/
    align-items: center;
    padding: 10px;
    height: 50px;
    background-color: rgba(238, 157, 224, 0.377);
}
h1 {
    width: 80px;
}
/* nav p 黒枠3本線の設定 */
nav p {
    width: 50px;
    line-height: 50px;
    background-color: black;
    text-align: center;
    font-size: 2.3em;
    color: white;
}

ul {
    width: 100%;
    display: none;
    list-style: none;
    position:absolute;
    top: 105px;
    left: 0;
    z-index: 999;
    /* z-index: 999;これは重ね順で一番上の設定一番強 */
}
 form section p {
    left: 5;
 }
li {
    line-height: 50px;
    background-color: white;
    text-align: center;
}
a:hover{
    background-color:rgba(238, 107, 46, 0.541);
}
form section p {
    width: 50%;
    line-height: 50px;
    /* background-color: rgb(255, 255, 255); */
    text-align: center;
}
a:hover{
    background-color:rgba(238, 255, 82, 0.836);
}

/* main 性別など選択*/
form section {
    display: flex;
    justify-content:space-between;
    /* width: 25%; */
    line-height: 50px;
    padding: 5px 0;
    text-align:left 10;
} 

main h2 {
    /* height: 50px; */
    line-height: 50px;
    text-align: center;
    background-color: rgba(243, 194, 228, 0.514);
    position: relative;
    /*position: absoluteの基準指定*/
    font-size:medium;
}
form {
    background-color: rgba(127, 255, 212, 0.726);
}

main form {
    background-color:rgb(255, 255, 255);
}
main section div {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
main section div p {
    width: 49%;
    height: 155px;
    overflow: hidden;
}
main section div p:nth-of-type(-n+2){
    margin-bottom: 10px;
}
main form div {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }
main form div {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
main form div p {
    width: 49%;
    height: 155px;
    overflow: hidden;
}
main form div p:nth-of-type(-n+2){
    margin-bottom: 10px;
}
/* footer */
footer h2 {
    background-color: pink;
    text-align: center;
}

footer > div {
    display: flex;
    justify-content: space-between;
}
footer div div {
    padding: 20px;
}
footer > div > p {
    width: 100px;
}
footer img {
    object-fit: contain;
}

/* MediaQuery 781px以上  画面が大きくなる場合見る画面も変動*/
@media screen and (min-width:781px) {
    /* header */
    nav p {
        /* display: none;３本線ボタンを消す */
        display: none;
    }
    ul {
        /* display: block; */
        display: flex;
        position: static;
        /* position: static;画面大きくなる時メニュ左になる設定 */
    }
    li {
        /* width: 150px; Homeボタンサイズなど */
        width: 150px;
        background-color: transparent;
        /* ホームボタンのback色は透明にする⇒transparent; */
        text-align: center;
    }

    /* main 模様の背景 と画像の横並び*/ 
    main {
        display: flex;
        flex-wrap: wrap;
    }
    main > div {
        padding-top: 10px;
        width: 100%;
        height: 300px;
        background-image: url(images/pexels-dog.jpg);
        background-repeat: no-repeat;
        background-size: cover;
    }
    /* main>div p は白い透明背景 */
    /* 大画面時のwoman manのサイズ指定 */
    form section {
        width: 30%;
    }
    main > div p {
        margin-left: 20px;
        width: 500px;
        background-color: rgba(255, 255, 255, 0.534);
    }
    main section {
        width: 48%;
    }
    main section:first-of-type {
        margin-left: 2%;
    }
    main section:last-of-type {
        margin-right: 2%;
    }
    main section:first-of-type div {
        margin-right: 1%;
    }
    main section:last-of-type div {
        margin-left: 1%
    }
    /* 以下main div div コピー */
    main form div p {
        display: flex;
        flex-wrap: wrap;
    }
    main form {
        width: 48%;
    }
    main form:first-of-type {
        margin-left: 2%;
    }
    main form:last-of-type {
        margin-right: 2%;
    }
    main form:first-of-type div {
        margin-right: 1%;
    }
    main form:last-of-type div {
        margin-left: 1%
    }

    /* footer */
    footer {
        background-image: url(images/pexels-2.jpg);
        background-repeat: no-repeat;
        /* background-position: right center; 画像に見える分の調整*/
        background-position: right -50px bottom -30px;
        background-size: 50%;
    }
    footer > div {
        width: 50%;
    }
}

/* scrolltop したら🐅が出てくる*/
#scrollTop {
    position: fixed;
    bottom: 20px;
    right: 10px;
    font-size: 1em;
}


